Skip to main content

List all customers

GET https://pos.paysera.com/eapi/v1/customers

Retrieve a paginated list of customers for the authenticated tenant.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Query Parameters​

NameTypeRequiredDescription
pageSizeintegerNumber of items per page (min: 1, max: 100)
pageintegerThe current page number (min: 1)
createdAtFromstringFilter orders created on or after the specified UTC timestamp
createdAtTostringFilter orders created on or before the specified UTC timestamp
updatedAtFromstringFilter orders updated on or after the specified UTC timestamp
updatedAtTostringFilter orders updated on or before the specified UTC timestamp
keywordstringSearch by first name, last name, company name, or email
emailstringFilter by exact email address
isBuyerbooleanFilter by buyer status
isSupplierbooleanFilter by supplier status

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request parameters

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

422 - Unprocessable Entity​

The request was well-formed but was unable to be followed due to semantic errors.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/customers?pageSize=10&page=1&createdAtFrom=2023-01-01T00:00:00Z&createdAtTo=2023-12-31T23:59:59Z&updatedAtFrom=2023-01-01T00:00:00Z&updatedAtTo=2023-12-31T23:59:59Z
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"itemsTotal": 1,
"pagesTotal": 1,
"data": [
{
"id": 123,
"firstName": "Jonas",
"lastName": "Jonaitis",
"email": "jonas@test.lt",
"phone": "+37060000000",
"companyName": "UAB Testas",
"companyCode": "123456789",
"vatCode": "LT123456789",
"isBuyer": true,
"isSupplier": false,
"addresses": [
{
"id": 456,
"type": "billing",
"address1": "Gedimino pr. 1",
"address2": "2 aukΕ‘tas",
"city": "Vilnius",
"zip": "01103",
"country": "LT",
"state": null,
"phone": "+37060000000"
}
],
"updatedAt": "2026-05-05T12:00:00Z",
"createdAt": "2026-05-05T12:00:00Z"
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Query Parameters
keyword
Search by first name, last name, company name, or email
email
Filter by exact email address
isBuyer
Filter by buyer status
isSupplier
Filter by supplier status

RESPONSE

Customers retrieved successfully
{
"itemsTotal": 1,
"pagesTotal": 1,
"data": [
{
"id": 123,
"firstName": "Jonas",
"lastName": "Jonaitis",
"email": "jonas@test.lt",
"phone": "+37060000000",
"companyName": "UAB Testas",
"companyCode": "123456789",
"vatCode": "LT123456789",
"isBuyer": true,
"isSupplier": false,
"addresses": [
{
"id": 456,
"type": "billing",
"address1": "Gedimino pr. 1",
"address2": "2 aukΕ‘tas",
"city": "Vilnius",
"zip": "01103",
"country": "LT",
"state": null,
"phone": "+37060000000"
}
],
"updatedAt": "2026-05-05T12:00:00Z",
"createdAt": "2026-05-05T12:00:00Z"
}
],
"links": {
"first": {
"href": "string"
},
"last": {
"href": "string"
},
"next": {
"href": "string"
},
"prev": {
"href": "string"
},
"self": {
"href": "string"
}
}
}